- Qt 6.4
- Qt SCXML
- C++ Classes
- ForeachLoopBody
- Qt 6.4.2 Reference Documentation

# ForeachLoopBody Class

class QScxmlDataModel::ForeachLoopBody

The ForeachLoopBody class represents a function to be executed on each iteration of an SCXML foreach loop. More...

This class was introduced in Qt 5.8.

- List of all members, including inherited members

## Public Functions

| ForeachLoopBody()
virtual | ~ForeachLoopBody()
virtual void | run(bool *ok) = 0

## Detailed Description

## Member Function Documentation

### ForeachLoopBody::ForeachLoopBody()

Creates a new foreach loop body.

### `[virtual]` ForeachLoopBody::~ForeachLoopBody()

Destroys a foreach loop body.

### `[pure virtual]` void ForeachLoopBody::run(bool *ok)

This function is executed on each iteration. If the execution fails, ok is set to `false`, otherwise it is set to `true`.